Subject: bug#9033: 24.0.50; background not set correctly when using default-frame-alist

From: Jan Djärv <[email-masked]>
Date: Mon, 18 Jul 2011 10:50:42 +0200

Hello.

Thierry Volpiatto skrev 2011-07-18 07.00:
> Jan Djärv<[email-masked]>  writes:
>
>> The screenshot looks like Ubuntu 11.04. Is that what you are running?
> Yes.
>
>> It could be a Compiz bug or setting.
> Maybe, i did same on my home pc (unbuntu 11.04 also) and problem
> disapear also.
> But i think it is more in the way emacs read the X configuration
> (just a thought, because i have no knowledge of this) as this is very
> similar with the problem i encounter some days ago (i.e the X font
> setting overhidden) but now with background.
>
> So maybe some problem in the way initial-frame-alist,
> default-frame-alist and the initial X settings are treated?
> (again that just an idea, as i know nothing of how emacs treat that)

It might very well be something in that area, it is a bit of a mess.  Plus the 
Gtk+ widgets also reads theme information.
It may also be some memory corruption/ovwerwrite that now has moved elsewhere.

>
> Well anyway the problem seem to have disapear now and i can't reproduce.
>

Ok, I'll close this for now.  Feel free to reopen if the problem comes back.

	Jan D.